Page MenuHomePhabricator

Missing end tag error should filter out obsolete HTML tags
Closed, DeclinedPublic

Description

Reason 1) It would be useful for the missing end tag error to filter-out obsolete HTML tags on the software side, so that we can prioritize the tags which actually need fixing identified by this error.

Reason 2) If I want to fix a bunch of <center>s without end tags, the fix is not "add an end tag" but instead "remove the <center> and optionally add a style attribute somewhere". Having the obsolete tags excluded from this error would also make it clear to users that a different kind of fix is expected.

Reason 1 would partially be resolved by T175177, but I think there is benefit to simply excluding these errors from this category per reason 2.

Event Timeline

Izno created this task.Sep 7 2017, 1:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2017, 1:39 PM
Izno updated the task description. (Show Details)Sep 7 2017, 1:39 PM
Izno added a comment.Sep 7 2017, 2:14 PM

You might also filter out stripped obsolete tags as well, but those would need to be added to the obsolete error (which they aren't currently).

Izno triaged this task as Low priority.Aug 30 2018, 2:11 PM

This is probably a bad idea. An unclosed "font size=+3" or unclosed "tt" tag can make the whole rest of a talk page display giant text, or monospace text, respectively. Whether the font or tt tag gets replaced or closed by a de-Linting editor, the problem needs to be fixed.

I propose closing this task.

Aklapper closed this task as Declined.Feb 28 2020, 10:19 AM
Aklapper lowered the priority of this task from Low to Lowest.